import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
import * as __WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__ from "../templatesOfBug.mjs";
(0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('should save conditions', async (param)=>{
    let { page, mockPage } = param;
    await mockPage(__WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__.T2183).goto();
    await page.getByLabel('action-Filter.Action-Filter-filter-users-table').click();
    await page.getByText('Add condition', {
        exact: true
    }).click();
    await page.getByTestId('select-filter-field').click();
    await page.getByRole('menuitemcheckbox', {
        name: 'ID',
        exact: true
    }).click();
    await page.getByRole('button', {
        name: 'Save conditions'
    }).click();
    await page.reload();
    await page.getByLabel('action-Filter.Action-Filter-filter-users-table').click();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByTestId('select-filter-field').getByText('ID')).toBeVisible();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByTestId('select-filter-operator').getByText('is')).toBeVisible();
});
(0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('the input box displayed should correspond to the field type', async (param)=>{
    let { page, mockPage } = param;
    await mockPage(__WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__.T2186).goto();
    await page.getByLabel('action-Filter.Action-Filter-filter-users-table').click();
    await page.getByTestId('select-filter-field').click();
    await page.getByRole('menuitemcheckbox', {
        name: 'ID',
        exact: true
    }).click();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByRole('spinbutton')).toBeVisible();
});
